Bug 834802 - Review Request: rhythmcat2 - GTK+ frontend of RhythmCat2 Music Player
Review Request: rhythmcat2 - GTK+ frontend of RhythmCat2 Music Player
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 14:28 EDT by Mike Manilone
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-08 00:16:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Manilone 2012-06-23 14:28:24 EDT
Spec URL: http://ekd123.org/RhythmCat2.spec
SRPM URL: http://ekd123.org/rhythmcat2-1.9.3-1.src.rpm

Description: 
RhythmCat2 is a music player which can be used under Linux. It is not only a
normal music player, it has both command-line interface and graphic user
interface, and it can extend its features by plug-ins, like lyric show
in window, desktop lyric show, etc... The GTK+ UI can use custom GTK+ 3 themes,
and the UI layout can be customed partially.


This is my first package and I need a sponsor. Thanks.
Comment 1 Volker Fröhlich 2012-07-29 12:46:56 EDT
A few findings:

License is GPLv3+. licensecheck reveals it.

The spec-file must be called %{name}. It does not contain a version number and the capitalization must be the same as in %{name}. Please see http://fedoraproject.org/wiki/Packaging:NamingGuidelines. Version requirements are often not necessary. Also use the name macro where it makes sense.

Don't Require libraries. Refer to http://fedoraproject.org/wiki/Packaging:Guidelines#Requires.

Don't install static libraries, see http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries.

Delete defattr and all EPEL specialities, i. e.: clean section, rm in the install section.

Using desktop-file-install is enough -- you don't need to run desktop-file-validate as well.

Consider to ship TODO and ChangeLog as documentation as well. You must not own %{_datadir}/locale. What are gir and %{_libdir}/girepository-1.0/RhythmCatLib-2.0.typelib?

%dir %{_datadir}/gtk-doc/html/LibRhythmCat-%{version} is not necessary, as you already own the directory by the previous statement.
Comment 2 Volker Fröhlich 2012-09-08 04:04:44 EDT
Why did you close the ticket?

Note You need to log in before you can comment on or make changes to this bug.